获取运行事件

接口用途

查看运行事件,确认是否发生 tool call、runtime submit 等。

请求方式

GET

接口地址

https://moi.matrixorigin.cn/newmoi/workspaces/<workspace_id>/agent-automation-runs/<run_id>/events

身份认证

使用工作区 API Key,在请求头中携带 X-API-Key: <WORKSPACE_API_KEY>,并设置 Content-Type: application/json

路径参数

名称

说明

run_id

运行记录标识。

查询参数

名称

说明

limit

分页大小。

offset

分页偏移。

请求体

无请求体。

请求示例

curl -X GET 'https://moi.matrixorigin.cn/newmoi/workspaces/<workspace_id>/agent-automation-runs/<run_id>/events' \
  -H 'X-API-Key: <WORKSPACE_API_KEY>' \
  -H 'Content-Type: application/json'

响应说明

除 A2A JSON-RPC 外,多数工作区接口成功响应形如 {"code":0,"data":...};下列字段描述 data(或 HTTP 202 时的 data)。

事件列表;用于确认 tool call、runtime submit 等:

字段

类型

必填

说明

items

array

资源列表

total

integer

总数

limit

integer

分页大小

offset

integer

偏移量

items[].id

string

事件 ID

items[].run_id

string

运行 ID

items[].type

string

事件类型

items[].status

string

关联状态

items[].message

string

消息

items[].created_at

string

时间

使用限制

  • 事件详情字段以实际返回为准。

相关接口